hdirs= ../Lsystem ../GL_Lsystem ../wxGLCanvases ../Extras ../thinair ../App

.PHONY : clean all

all      : Lstring.o Lturtle.o

Lstring.o : Lstring.cpp  Lstring.h ../Extras/extra_math.h UIBaseClass.h Ltypes.h
	g++ -c Lstring.cpp ${CFLAGS} $(addprefix -I,$(hdirs))

Lturtle.o : Lturtle.cpp Lturtle.h Lstring.h ../Extras/extra_math.h UIBaseClass.h \
Ltypes.h ../Extras/vect3.h LgraphicsBaseClass.h
	g++ -c Lturtle.cpp ${CFLAGS} $(addprefix -I,$(hdirs))

clean :
	rm Lstring.o Lturtle.o
